All pages
Powered by GitBook
1 of 1

Loading...

Enable account

post

Enable a disabled account. Available for Operations account with platform account management permissions. Moves the account to the Enabled state. Returns the updated account object.

Path parameters
idstringRequired

Account identifier.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/accounts/{id}/enable
POST /public/v1/accounts/accounts/{id}/enable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "ACC-1234-1234",
  "revision": 2,
  "name": "Contoso Ltd",
  "status": "Enabled",
  "type": "Vendor",
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "enabled": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Enable account